## r-cran-wdi 2.4

=== DESCRIPTION ===
Package: WDI
Maintainer: Vincent Arel-Bundock <varel@umich.edu>
License: GPL-3
Title: World Development Indicators (World Bank)
LazyData: yes
Type: Package
LazyLoad: yes
Author: Vincent Arel-Bundock <varel@umich.edu>
Description: Search, extract and format data from the World Bank's
    World Development Indicators
Version: 2.4
URL: http://www.umich.edu/~varel ,
        https://www.github.com/vincentarelbundock/WDI
Date: 2013-08-20
Depends: RJSONIO
Collate: 'WDI.R' 'WDI-package.R' 'WDI_data.R'
Packaged: 2013-08-20 20:36:04 UTC; hotsauce
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-08-20 23:42:59

=== debian/changelog ===
r-cran-wdi (2.4-2) unstable; urgency=medium

  * Rebuild for r-api-3.4 transition.
  * Bump to debhelper compat level 10.
  * d/control: add missing ${misc:Depends}.
  * Switch from cdbs to dh-r.
  * d/watch: drop upstream version mangling, bump to format version 4.
  * d/control: use canonical URLs for Vcs-* fields.
  * d/copyright: use secure URL for format.
  * d/control: use canonical URL for the homepage of CRAN packages.
  * Add Testsuite: autopkgtest-pkg-r.
  * Bump Standards-Version to 4.1.1.
  * Add README.source documenting data/WDI_data.RData.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 02 Oct 2017 16:19:46 +0200

r-cran-wdi (2.4-1) unstable; urgency=low

  * Imported Upstream version 2.4
  * rjson.patch: refresh patch
  * Install README.md under /usr/share/doc/

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 08 Sep 2013 14:48:32 +0200

r-cran-wdi (2.2-1) unstable; urgency=low

  * Initial release. (Closes: #714629)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 30 Jun 2013 20:46:07 +0200

=== debian/control ===
Source: r-cran-wdi
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev, dh-r, r-cran-rjson
Standards-Version: 4.1.1
Homepage: https://cran.r-project.org/package=WDI
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-wdi.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-wdi.git

Package: r-cran-wdi
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package for accessing the World Development Indicators
 This package gives access to the World Development Indicators (WDI), a database
 of various development indicators, compiled by the World Bank from
 officially-recognized international sources.
 .
 Note that the package does not contain the data. Instead, it provides a set of
 functions to download the data from the World Bank's website.

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/WDI_([-\d\.]*)\.tar.gz

## r-cran-wdi 2.5

=== debian/changelog ===
r-cran-wdi (2.5-2) unstable; urgency=medium

  * Team upload.
  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 01 Jun 2018 14:53:04 +0200

r-cran-wdi (2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11
  * Secure URI in watch file
  * Remove debian/docs since README.md is not part of upstream source
    any more

 -- Andreas Tille <tille@debian.org>  Thu, 12 Apr 2018 14:46:08 +0200

=== debian/control ===
Source: r-cran-wdi
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
# <dh-update-R>do not delete this and also do not inject non-free r-cran-rjsonio</dh-update-R>
               r-cran-rjson
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-wdi
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-wdi.git
Homepage: https://cran.r-project.org/package=WDI

Package: r-cran-wdi
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package for accessing the World Development Indicators
 This package gives access to the World Development Indicators (WDI), a database
 of various development indicators, compiled by the World Bank from
 officially-recognized international sources.
 .
 Note that the package does not contain the data. Instead, it provides a set of
 functions to download the data from the World Bank's website.

## r-cran-wdi 2.5.1

=== DESCRIPTION ===
Package: WDI
Title: World Development Indicators (World Bank)
Description: Search, extract and format data from the World Bank's
    World Development Indicators.
Author: Vincent Arel-Bundock <vincent.arel-bundock@umontreal.ca>
Maintainer: Vincent Arel-Bundock <vincent.arel-bundock@umontreal.ca>
LazyData: yes
Type: Package
LazyLoad: yes
Encoding: UTF-8
Version: 2.5.1
URL: https://www.github.com/vincentarelbundock/WDI
Date: 2018-12-05
Depends: RJSONIO, R (>= 2.10)
RoxygenNote: 6.0.1
Suggests: testthat
License: GPL-3
NeedsCompilation: no
Packaged: 2018-12-05 14:19:43 UTC; docker
Repository: CRAN
Date/Publication: 2018-12-07 14:20:06 UTC

=== debian/changelog ===
r-cran-wdi (2.5.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 18:25:11 +0800

r-cran-wdi (2.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Mon, 17 Dec 2018 10:59:46 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
 # <dh-update-R>do not delete this and also do not inject non-free r-cran-rjsonio</dh-update-R>
                r-cran-rjson
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-wdi
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-wdi.git
 Homepage: https://cran.r-project.org/package=WDI

## r-cran-wdi 2.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -8,14 +8,15 @@
 Type: Package
 LazyLoad: yes
 Encoding: UTF-8
-Version: 2.5.1
+Version: 2.6.0
 URL: https://www.github.com/vincentarelbundock/WDI
-Date: 2018-12-05
-Depends: RJSONIO, R (>= 2.10)
-RoxygenNote: 6.0.1
-Suggests: testthat
+Date: 2019-03-02
+Depends: R (>= 3.1.0)
+Imports: RJSONIO
+Suggests: tidyr (>= 0.8.0), testthat
+RoxygenNote: 6.1.1
 License: GPL-3
 NeedsCompilation: no
-Packaged: 2018-12-05 14:19:43 UTC; docker
+Packaged: 2019-03-03 03:27:57 UTC; vincent
 Repository: CRAN
-Date/Publication: 2018-12-07 14:20:06 UTC
+Date/Publication: 2019-03-03 21:00:16 UTC

=== debian/changelog ===
r-cran-wdi (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0
  * Bump to debhelper compat level 12
  * Add Rules-Requires-Root: no
  * Bump to S-V 4.3.0

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 02 Jul 2019 14:30:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
 # <dh-update-R>do not delete this and also do not inject non-free r-cran-rjsonio</dh-update-R>
                r-cran-rjson
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-wdi
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-wdi.git
 Homepage: https://cran.r-project.org/package=WDI
+Rules-Requires-Root: no
 
 Package: r-cran-wdi
 Architecture: all

## r-cran-wdi 2.7.1

=== debian/changelog ===
r-cran-wdi (2.7.1-1) unstable; urgency=medium

  * New upstream version 2.7.1

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 10 Jul 2020 10:55:47 +0200

r-cran-wdi (2.7.0-1) unstable; urgency=medium

  * New upstream version 2.7.0
  * d/control: update long description
  * Bump to debhelper 13

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 02 Jul 2020 17:17:26 +0200

r-cran-wdi (2.6.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 23:16:05 +0200

=== debian/control ===
Source: r-cran-wdi
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
# <dh-update-R>do not delete this and also do not inject non-free r-cran-rjsonio</dh-update-R>
               r-cran-rjson
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-wdi
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-wdi.git
Homepage: https://cran.r-project.org/package=WDI
Rules-Requires-Root: no

Package: r-cran-wdi
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package for accessing the World Development Indicators
 Search and download data from over 40 databases hosted by the World Bank,
 including the World Development Indicators (WDI), International Debt
 Statistics, Doing Business, Human Capital Index, and Sub-national Poverty
 indicators.
 .
 Note that the package does not contain the data. Instead, it provides a set of
 functions to download the data from the World Bank's website.

## r-cran-wdi 2.7.2

=== DESCRIPTION ===
Package: WDI
Title: World Development Indicators and Other World Bank Data
Description: Search and download data from over 40 databases hosted by the World Bank, including the World Development Indicators ('WDI'), International Debt Statistics, Doing Business, Human Capital Index, and Sub-national Poverty indicators.
Authors@R: c(
    person("Vincent", "Arel-Bundock", email = "vincent.arel-bundock@umontreal.ca", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-2042-7063")),
    person("Etienne", "Bacher", email = "etienne.bacher@protonmail.com", role = "ctb")
    )
Maintainer: Vincent Arel-Bundock <vincent.arel-bundock@umontreal.ca>
LazyData: yes
Type: Package
LazyLoad: yes
Encoding: UTF-8
Version: 2.7.2
URL: https://vincentarelbundock.github.io/WDI/
Depends: R (>= 3.5.0)
Imports: RJSONIO
Suggests: tidyr (>= 0.8.0), testthat
RoxygenNote: 7.1.1
License: GPL-3
NeedsCompilation: no
Packaged: 2021-01-21 22:32:52 UTC; vincent
Author: Vincent Arel-Bundock [aut, cre]
    (<https://orcid.org/0000-0003-2042-7063>),
  Etienne Bacher [ctb]
Repository: CRAN
Date/Publication: 2021-01-22 05:40:16 UTC

=== debian/changelog ===
r-cran-wdi (2.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 27 Jan 2021 09:05:22 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
 # <dh-update-R>do not delete this and also do not inject non-free r-cran-rjsonio</dh-update-R>
                r-cran-rjson
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-wdi
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-wdi.git
 Homepage: https://cran.r-project.org/package=WDI

## r-cran-wdi 2.7.5

=== DESCRIPTION ===
Package: WDI
Title: World Development Indicators and Other World Bank Data
Description: Search and download data from over 40 databases hosted by the World Bank, including the World Development Indicators ('WDI'), International Debt Statistics, Doing Business, Human Capital Index, and Sub-national Poverty indicators.
Authors@R: c(
    person("Vincent", "Arel-Bundock",
           email = "vincent.arel-bundock@umontreal.ca",
           role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-2042-7063")),
    person("Etienne", "Bacher",
           email = "etienne.bacher@protonmail.com",
           role = "ctb"))
Maintainer: Vincent Arel-Bundock <vincent.arel-bundock@umontreal.ca>
LazyData: yes
Type: Package
LazyLoad: yes
Encoding: UTF-8
Version: 2.7.5
URL: https://vincentarelbundock.github.io/WDI/
Depends: R (>= 3.5.0)
Imports: RJSONIO
Suggests: testthat, tidyr (>= 0.8.0)
RoxygenNote: 7.1.2
License: GPL-3
NeedsCompilation: no
Packaged: 2022-02-02 12:23:37 UTC; vincent
Author: Vincent Arel-Bundock [aut, cre]
    (<https://orcid.org/0000-0003-2042-7063>),
  Etienne Bacher [ctb]
Repository: CRAN
Date/Publication: 2022-02-02 12:50:02 UTC

=== debian/changelog ===
r-cran-wdi (2.7.5-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Disable reprotest

  [ Sébastien Villemot ]
  * New upstream version 2.7.5

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 04 Feb 2022 15:11:39 +0100

r-cran-wdi (2.7.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Refresh rjson patch due to different line endings
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Fri, 20 Aug 2021 07:16:27 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
 # <dh-update-R>do not delete this and also do not inject non-free r-cran-rjsonio</dh-update-R>
                r-cran-rjson
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-wdi
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-wdi.git
 Homepage: https://cran.r-project.org/package=WDI

## r-cran-wdi 2.7.7

=== debian/changelog ===
r-cran-wdi (2.7.7-1) unstable; urgency=medium

  * Team upload
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jul 2022 06:19:13 +0200

r-cran-wdi (2.7.6-1) unstable; urgency=medium

  * New upstream version 2.7.6

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 02 Mar 2022 16:21:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: r-cran-wdi
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-wdi
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-wdi.git
+Homepage: https://cran.r-project.org/package=WDI
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
 # <dh-update-R>do not delete this and also do not inject non-free r-cran-rjsonio</dh-update-R>
                r-cran-rjson
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-wdi
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-wdi.git
-Homepage: https://cran.r-project.org/package=WDI
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-wdi
 Architecture: all

## r-cran-wdi 2.7.8

=== DESCRIPTION ===
--- 
+++ 
@@ -14,17 +14,17 @@
 Type: Package
 LazyLoad: yes
 Encoding: UTF-8
-Version: 2.7.5
+Version: 2.7.8
 URL: https://vincentarelbundock.github.io/WDI/
 Depends: R (>= 3.5.0)
-Imports: RJSONIO
-Suggests: testthat, tidyr (>= 0.8.0)
-RoxygenNote: 7.1.2
+Imports: jsonlite
+Suggests: curl, testthat, tidyr (>= 0.8.0)
+RoxygenNote: 7.2.1
 License: GPL-3
 NeedsCompilation: no
-Packaged: 2022-02-02 12:23:37 UTC; vincent
+Packaged: 2022-09-25 10:43:32 UTC; vincent
 Author: Vincent Arel-Bundock [aut, cre]
     (<https://orcid.org/0000-0003-2042-7063>),
   Etienne Bacher [ctb]
 Repository: CRAN
-Date/Publication: 2022-02-02 12:50:02 UTC
+Date/Publication: 2022-09-25 11:10:02 UTC

=== debian/changelog ===
r-cran-wdi (2.7.8-1) unstable; urgency=medium

  * New upstream version 2.7.8
  * rjson.patch: no longer needed, since package moved to jsonlite
  * Build-Depend on r-cran-jsonlite instead of r-cran-rjson

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 27 Sep 2022 16:39:50 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-# <dh-update-R>do not delete this and also do not inject non-free r-cran-rjsonio</dh-update-R>
-               r-cran-rjson
+               r-cran-jsonlite
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-wdi

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/WDI_([-\d\.]*)\.tar.gz

## r-cran-wdi 2.7.9

=== debian/changelog ===
r-cran-wdi (2.7.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 14 Jan 2026 14:29:20 +0900

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: r-cran-wdi
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Sébastien Villemot <sebastien@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-jsonlite,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-wdi
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-wdi.git
 Homepage: https://cran.r-project.org/package=WDI
-Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-jsonlite
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-wdi
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-curl,
        r-cran-testthat,
        r-cran-tidyr (>= 0.8.0)
Restrictions: allow-stderr
